XmlMessages (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.i18n.XmlMessages class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.i18n
Class XmlMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.module.xml.i18n.XmlMessages

    public class XmlMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`XmlMessages()`

Method Summary
`static Message` | `domTypeNotSupported(Class type)`
`static Message` | `failedToCreateDocumentBuilder()`
`static Message` | `failedToProcessXPath(String expression)`
`static Message` | `failedToRegisterNamespace(String prefix, String uri)`
`static Message` | `invalidReturnTypeForTransformer(Class resultCls)`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlMessages

    public XmlMessages()

Method Detail

### failedToProcessXPath

    public static Message failedToProcessXPath(String expression)

### domTypeNotSupported

    public static Message domTypeNotSupported(Class type)

### invalidReturnTypeForTransformer

    public static Message invalidReturnTypeForTransformer(Class resultCls)

### failedToRegisterNamespace

    public static Message failedToRegisterNamespace(String prefix,
                                                    String uri)

### failedToCreateDocumentBuilder

    public static Message failedToCreateDocumentBuilder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.